Bug 1885936 - [release 4.5] Collect ServiceAccount statistics
Summary: [release 4.5] Collect ServiceAccount statistics
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.z
Assignee: Ricardo Lüders
QA Contact: Pavel Šimovec
URL:
Whiteboard:
Depends On: 1885941
Blocks: 1885937
TreeView+ depends on / blocked
 
Reported: 2020-10-07 10:17 UTC by Martin Kunc
Modified: 2021-03-11 06:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Implements the Service Account Gatherer to the Insights Operator to collect field managementState of Openshift Operators. Reason: If the lib-bucket-provisioner service account missing then the creation of lib-bucket-provisioner InstallPlan is overloading the etcd and impacting the performance of the OCP cluster. Therefore we need access to this data. Result: Data is being collected, anonymized, and stored at the Insights Operator archive report.
Clone Of: 1885935
: 1885937 (view as bug list)
Environment:
Last Closed: 2021-03-11 06:55:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 242 0 None open [release-4.5] Bug 1885936: Gather ServiceAccounts 2021-02-25 14:54:55 UTC
Red Hat Product Errata RHBA-2021:0714 0 None None None 2021-03-11 06:55:35 UTC

Description Martin Kunc 2020-10-07 10:17:58 UTC
+++ This bug was initially created as a clone of Bug #1885935 +++

+++ This bug was initially created as a clone of Bug #1885930 +++

This is adding collection of ServiceAccounts statistics from Openshift namespaces

Comment 3 Pavel Šimovec 2021-03-01 15:56:59 UTC
automated test on PR passed

Comment 6 errata-xmlrpc 2021-03-11 06:55:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.34 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0714


Note You need to log in before you can comment on or make changes to this bug.